Skip to content
Guides
Fulfillment & ShippingRegions
settings:update

Create tax region

POST/v1/taxes/regions

Create tax region. A successful request returns HTTP 201 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/taxes/regions" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "countryCode": "PE",    "name": "Example resource",    "serviceType": "manual",    "isActive": false,    "rates": [      {        "provinceCode": "example_code",        "provinceName": "Example resource",        "rate": 1,        "label": "example",        "calculationType": "additive"      }    ]  }'
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "countryCode": "PE",  "name": "Example resource",  "serviceType": "manual",  "isActive": false,  "rates": [    {      "id": "7204558912004325301",      "provinceCode": "example_code",      "provinceName": "Example resource",      "rate": 1,      "label": "example",      "calculationType": "additive"    }  ],  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}